Debian Bug report logs - #592967
RFP: jnr-posix -- basic POSIX-like functions for Java

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Torsten Werner <twerner@debian.org>

Date: Sat, 14 Aug 2010 15:45:01 UTC

Severity: wishlist

Done: Miguel Landaeta <miguel@miguel.cc>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, libjna-posix-java@packages.debian.org, wnpp@debian.org:
Bug#592967; Package wnpp. (Sat, 14 Aug 2010 15:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, libjna-posix-java@packages.debian.org, wnpp@debian.org. (Sat, 14 Aug 2010 15:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: jnr-posix -- basic POSIX-like functions for Java
Date: Sat, 14 Aug 2010 17:41:40 +0200
Package: wnpp
Severity: wishlist
Owner: Torsten Werner <twerner@debian.org>

* Package name    : jnr-posix
  Version         : 1.1.4
  Upstream Author : Thomas E Enebo
* URL             : http://github.com/wmeissner/jnr-posix
* License         : CPL/GPL/LGPL
  Programming Lang: Java
  Description     : basic POSIX-like functions for Java

This package is a Java library providing access to various POSIX functions like
chmod(2), link(2) or getuid(2) through dynamic loading of native libraries with
JNA.

jnr-posix is the successor of the existing package libjna-posix-java and is
needed by JRuby


Torsten




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Torsten Werner <twerner@debian.org>:
Bug#592967; Package wnpp. (Sun, 15 Aug 2010 16:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Duboc <nduboc@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Torsten Werner <twerner@debian.org>. (Sun, 15 Aug 2010 16:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 592967@bugs.debian.org (full text, mbox):

From: Nicolas Duboc <nduboc@debian.org>
To: Torsten Werner <twerner@debian.org>, 592967@bugs.debian.org
Subject: Re: Bug#592967: ITP: jnr-posix -- basic POSIX-like functions for Java
Date: Sun, 15 Aug 2010 18:43:02 +0200
[Message part 1 (text/plain, inline)]
On Sat, Aug 14, 2010 at 05:41:40PM +0200, Torsten Werner wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Torsten Werner <twerner@debian.org>
> 
> * Package name    : jnr-posix
>   Version         : 1.1.4

   Hi Torsten,

 What's your intent with this ITP regarding the Squeeze freeze ?
As you know, libjna-posix-java (jna-posix being the old name of
jnr-posix) is already in testing, and jython depends on it.

 I see that jruby is currently in non-free.  Are you trying to get it
into main for Squeeze release ?  

 In this case I can propose you to update the package to the latest
1.1.4 version and check with the release team if I can change the
package name at the same time.

 BTW, I think an ITP is not the correct procedure to request a package
update.  Filling a wish on libjna-poix-java is the preferred process.

 Regards,

-- 
Nicolas Duboc <nduboc@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#592967; Package wnpp. (Sun, 15 Aug 2010 21:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 15 Aug 2010 21:51:08 GMT) Full text and rfc822 format available.

Message #15 received at 592967@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Nicolas Duboc <nduboc@debian.org>
Cc: 592967@bugs.debian.org
Subject: Re: Bug#592967: ITP: jnr-posix -- basic POSIX-like functions for Java
Date: Sun, 15 Aug 2010 23:47:11 +0200
On Sun, Aug 15, 2010 at 6:43 PM, Nicolas Duboc <nduboc@debian.org> wrote:
>  I see that jruby is currently in non-free.  Are you trying to get it
> into main for Squeeze release ?

no

>  BTW, I think an ITP is not the correct procedure to request a package
> update.  Filling a wish on libjna-poix-java is the preferred process.

My impression was that you are not interested because jna-posix is
rather old (march 2009). But feel free to reassign/take over the ITP.
I have no direct interest in the package except that we need it for
jruby.

Torsten




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Torsten Werner <twerner@debian.org>:
Bug#592967; Package wnpp. (Sat, 19 Feb 2011 18:03:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Torsten Werner <twerner@debian.org>. (Sat, 19 Feb 2011 18:03:17 GMT) Full text and rfc822 format available.

Message #20 received at 592967@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 592967@bugs.debian.org
Cc: control@bugs.debian.org
Subject: jnr-posix: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:08:26 +0000
retitle 592967 RFP: jnr-posix -- basic POSIX-like functions for Java
noowner 592967
thanks

Hi,

This is an automatic email to change the status of jnr-posix back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting jnr-posix, please send a mail to
<control@bugs.debian.org> with:

 retitle 592967 ITP: jnr-posix -- basic POSIX-like functions for Java
 owner 592967 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <592967@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: jnr-posix -- basic POSIX-like functions for Java' from 'ITP: jnr-posix -- basic POSIX-like functions for Java' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:03:33 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Torsten Werner <twerner@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:03:33 GMT) Full text and rfc822 format available.

Information stored :
Bug#592967; Package wnpp. (Sat, 19 Feb 2011 18:43:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
Extra info received and filed, but not forwarded. (Sat, 19 Feb 2011 18:43:55 GMT) Full text and rfc822 format available.

Message #29 received at 592967-quiet@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: Nicolas Duboc <nduboc@debian.org>
Cc: 592967-quiet@bugs.debian.org
Subject: Re: Bug#592967: ITP: jnr-posix -- basic POSIX-like functions for Java
Date: Sat, 19 Feb 2011 19:12:13 +0100
Hi Nicolas,

On Sun, Aug 15, 2010 at 6:43 PM, Nicolas Duboc <nduboc@debian.org> wrote:
>  What's your intent with this ITP regarding the Squeeze freeze ?
> As you know, libjna-posix-java (jna-posix being the old name of
> jnr-posix) is already in testing, and jython depends on it.

okay, squeeze has been released. Do you plan to update libjna-posix-java?

Torsten




Information stored :
Bug#592967; Package wnpp. (Fri, 25 Feb 2011 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicolas Duboc <nduboc@debian.org>:
Extra info received and filed, but not forwarded. (Fri, 25 Feb 2011 09:27:03 GMT) Full text and rfc822 format available.

Message #34 received at 592967-quiet@bugs.debian.org (full text, mbox):

From: Nicolas Duboc <nduboc@debian.org>
To: Torsten Werner <twerner@debian.org>
Cc: 592967-quiet@bugs.debian.org
Subject: Re: Bug#592967: ITP: jnr-posix -- basic POSIX-like functions for Java
Date: Fri, 25 Feb 2011 10:14:12 +0100
[Message part 1 (text/plain, inline)]
On Sat, Feb 19, 2011 at 07:12:13PM +0100, Torsten Werner wrote:
> okay, squeeze has been released. Do you plan to update libjna-posix-java?

   Yes you're right, it's time for an update.  I/m going to upload a
new version in the coming days.

   Thanks,


-- 
Nicolas Duboc <nduboc@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#592967; Package wnpp. (Thu, 21 Apr 2011 22:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and filed, but not forwarded. (Thu, 21 Apr 2011 22:39:03 GMT) Full text and rfc822 format available.

Message #39 received at 592967-quiet@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Nicolas Duboc <nduboc@debian.org>
Cc: Torsten Werner <twerner@debian.org>, 592967-quiet@bugs.debian.org
Subject: Re: Bug#592967: ITP: jnr-posix -- basic POSIX-like functions for Java
Date: Thu, 21 Apr 2011 18:11:29 -0430
On Fri, Feb 25, 2011 at 10:14:12AM +0100, Nicolas Duboc wrote:
> On Sat, Feb 19, 2011 at 07:12:13PM +0100, Torsten Werner wrote:
> > okay, squeeze has been released. Do you plan to update libjna-posix-java?
> 
>    Yes you're right, it's time for an update.  I/m going to upload a
> new version in the coming days.

Hello,
Any news regarding the update of jna/jnr-posix?
Cheers,

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Reply sent to Miguel Landaeta <miguel@miguel.cc>:
You have taken responsibility. (Mon, 14 Jan 2013 21:03:05 GMT) Full text and rfc822 format available.

Notification sent to Torsten Werner <twerner@debian.org>:
Bug acknowledged by developer. (Mon, 14 Jan 2013 21:03:05 GMT) Full text and rfc822 format available.

Message #44 received at 592967-done@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: 592967-done@bugs.debian.org
Subject: jnr-posix: It's already available in the archive
Date: Mon, 14 Jan 2013 18:00:56 -0300
This package was uploaded and accepted in the archive on May 2011.

http://packages.qa.debian.org/libj/libjnr-posix-java/news/20110530T211755Z.html

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x6E608B637D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Feb 2013 07:27:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:09:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.